package Repositories;

import java.util.List;

import Exceptions.BaseException;
import Models.Program.ProgramState;

public interface IRepository {
    public void addProgramState(ProgramState programState) throws BaseException;
    public void logProgramStateExecution(ProgramState state) throws BaseException;
    public List<ProgramState> getProgramStates();
    public void setProgramStates(List<ProgramState> programStates);
}
